<template>
  <!-- 添加其他价格 -->
  <div class="addShipPrice">
    <page-title>新增</page-title>
    <el-divider content-position="left">添加其他价格</el-divider>
     <div class="form-box" style="margin-right: 10rem">
        <dil-form :formId="221" v-model="form1" ref="from1"></dil-form>
      </div>
    <div class="button-box">
      <el-button @click="cancel">取消</el-button>
      <el-button type="primary" @click="makeSure">确定</el-button>
    </div>
    <!-- <div class="primarybtn">
      <el-button class="btn" @click="goback">取消</el-button>
      <el-button type="primary" class="btn" @click="submitclick"
        >确定</el-button
      >
    </div> -->
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
      value: undefined,
    };
  },
  mounted() {},
  methods: {
    // 确定
    makeSure() {
      let amsContractOtherPrice = {
        priceType: this.form1.priceType,
        priceValue: this.form1.priceValue
      };
      console.log(amsContractOtherPrice);
      if (
      amsContractOtherPrice.priceType==null||
      amsContractOtherPrice.priceValue==null
      ) this.$message.error("必填项存在空值!");
      else
      this.axios
        .post(
          "/api/v1/ams/addLoadUnloadPrice",
          amsContractOtherPrice
        )
        .then((res) => {
        //   console.log(res);
        //   console.log(this.form4);
          this.$router.go(-1);
        });
    },
    // 取消
    cancel() {
      this.$router.go(-1);
    },
  },
};
</script>
<style lang='scss' scoped>

</style>